Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5476 - emacs dumps core due to buffer overflow in Xlib
Summary: emacs dumps core due to buffer overflow in Xlib
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-03 00:26 UTC by Thomas Quinn
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-01-24 21:55:54 UTC


Attachments (Terms of Use)

Description Thomas Quinn 1999-10-03 00:26:52 UTC
If emacs loses its connection to the X server, either by
shutting down the server or giving the emacs window a
"XKillClient", it will dump core.  This occurs because emacs
tries to clean up, but ends up overflowing the communication
buffer to the X server.  I will submit a sample patch.

Comment 1 Preston Brown 2000-01-24 21:55:59 UTC
patch added for next release.


Note You need to log in before you can comment on or make changes to this bug.